Organization Details

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://reference.textline.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Textline API MCP server": {
    "url": "https://reference.textline.com/mcp"
  }
}

Close
GET /api/organization.json

Retrieve information about your organization

Query parameters

  • include_groups boolean

    If true, the response will include details about the departments in the organization

    Default value is 0.

  • include_users boolean

    If true, the response will include details about the users/agents in the organization

    Default value is 0.

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • organization object
      Hide organization attribute Show organization attribute object
      • name string
    • groups array
    • users array
GET /api/organization.json
curl \
 --request GET 'https://application.textline.com/api/organization.json'
Response examples (200)
{
  "organization": {
    "name": "My Company"
  },
  "groups": [
    {
      "name": "Sales",
      "phone_number": "(222) 222-2222",
      "uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
      "is_sms_group": true
    }
  ],
  "users": [
    {
      "avatar_url": "https://example.com/image.png",
      "name": "Chuck Finley",
      "on_call": true,
      "username": "ChuckF",
      "uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
      "email": "chuckf@textline.com",
      "permission_level": "Admin",
      "group_uuids": [
        "21ca50a9-a85d-49d1-9266-0df69fd5a9ef",
        "35c450e8-5b60-46e2-b691-481419462c16"
      ]
    }
  ]
}